Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.runtime.manager
Interface RuntimeManagerFactory

All Known Implementing Classes:
  RuntimeManagerFactoryCDIImpl, RuntimeManagerFactoryImpl

    public interface RuntimeManagerFactory

Factory that produces instances of `RuntimeManager`. It allows to produce runtime managers based on predefined strategies:

- Singleton
- PerRequest
- PerProcessInstance

By default uses `org.jbpm.runtime.manager.impl.RuntimeManagerFactoryImpl` as implementation of the factory but can be overridden using system property `org.jbpm.runtime.manager.class` that should provide fully qualified class name of the class that implements this factory.

Nested Class Summary
`static class` | `RuntimeManagerFactory.Factory` A Factory for this RuntimeManagerFactory

Method Summary
`RuntimeManager` | `newPerProcessInstanceRuntimeManager(RuntimeEnvironment environment)` Produces new instance of per process instance `RuntimeManager` with default identifier.
`RuntimeManager` | `newPerProcessInstanceRuntimeManager(RuntimeEnvironment environment, String identifier)` Produces new instance of per process instance `RuntimeManager` with custom identifier.
`RuntimeManager` | `newPerRequestRuntimeManager(RuntimeEnvironment environment)` Produces new instance of per request `RuntimeManager` with default identifier.
`RuntimeManager` | `newPerRequestRuntimeManager(RuntimeEnvironment environment, String identifier)` Produces new instance of per request `RuntimeManager` with custom identifier.
`RuntimeManager` | `newSingletonRuntimeManager(RuntimeEnvironment environment)` Produces new instance of singleton `RuntimeManager` with default identifier.
`RuntimeManager` | `newSingletonRuntimeManager(RuntimeEnvironment environment, String identifier)` Produces new instance of singleton `RuntimeManager` with custom identifier.

Method Detail

### newSingletonRuntimeManager

    RuntimeManager newSingletonRuntimeManager(RuntimeEnvironment environment)

  Produces new instance of singleton `RuntimeManager` with default identifier. Since it relies on default identifier it can only be invoked once unless previously produced manager is closed. Otherwise error will be thrown indicating that managers must be identifier uniquely.

  Parameters:
    `environment` - environment instance for the new runtime manager
  Returns:
    new instance of `RuntimeManager`

### newSingletonRuntimeManager

    RuntimeManager newSingletonRuntimeManager(RuntimeEnvironment environment,
                                              String identifier)

  Produces new instance of singleton `RuntimeManager` with custom identifier. In case the given identifier is already in use error will be thrown indicating that managers must be identifier uniquely.

  Parameters:
    `environment` - environment instance for the new runtime manager
    `identifier` - custom identifier for the manager

### newPerRequestRuntimeManager

    RuntimeManager newPerRequestRuntimeManager(RuntimeEnvironment environment)

  Produces new instance of per request `RuntimeManager` with default identifier. Since it relies on default identifier it can only be invoked once unless previously produced manager is closed. Otherwise error will be thrown indicating that managers must be identifier uniquely.

  Parameters:
    `environment` - environment instance for the new runtime manager
  Returns:
    new instance of `RuntimeManager`

### newPerRequestRuntimeManager

    RuntimeManager newPerRequestRuntimeManager(RuntimeEnvironment environment,
                                               String identifier)

  Produces new instance of per request `RuntimeManager` with custom identifier. In case the given identifier is already in use error will be thrown indicating that managers must be identifier uniquely.

  Parameters:
    `environment` - environment instance for the new runtime manager
    `identifier` - custom identifier for the manager

### newPerProcessInstanceRuntimeManager

    RuntimeManager newPerProcessInstanceRuntimeManager(RuntimeEnvironment environment)

  Produces new instance of per process instance `RuntimeManager` with default identifier. Since it relies on default identifier it can only be invoked once unless previously produced manager is closed. Otherwise error will be thrown indicating that managers must be identifier uniquely.

  Parameters:
    `environment` - environment instance for the new runtime manager
  Returns:
    new instance of `RuntimeManager`

### newPerProcessInstanceRuntimeManager

    RuntimeManager newPerProcessInstanceRuntimeManager(RuntimeEnvironment environment,
                                                       String identifier)

  Produces new instance of per process instance `RuntimeManager` with custom identifier. In case the given identifier is already in use error will be thrown indicating that managers must be identifier uniquely.

  Parameters:
    `environment` - environment instance for the new runtime manager
    `identifier` - custom identifier for the manager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.